> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog 2026 06 01T14:32:26Z

### Snag Solutions - API Docs (v 0.1)

***

#### What's Changed

***

##### `POST` /api/assets

###### Request:

Changed content type : `application/json`

* Changed property `filePath` (string)

  > The file path, must be a valid enum value.

  Added enum value:

  * `dapps`

##### `GET` /api/contracts

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Changed property `data` (array)

    Changed items (object):

    > Schema for a contract

    * Added property `iconUrl` (string)
      > Optional icon image for the contract; used as the reward token icon

##### `POST` /api/contracts

###### Request:

Changed content type : `application/json`

* Added property `iconUrl` (string)

###### Return Type:

Changed response : **201 Created**

> 201

* Changed content type : `application/json`

  * Added property `iconUrl` (string)
    > Optional icon image for the contract; used as the reward token icon

##### `POST` /api/contracts/{id}

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `iconUrl` (string)
    > Optional icon image for the contract; used as the reward token icon

##### `POST` /api/loyalty/rules

###### Request:

Changed content type : `application/json`

* Added property `isDappRule` (boolean)
  > Routes rule rewards to the dApp owner address (for substitution-type rules: external\_rule, smart\_contract\_event, stratus\_function) or marks the rule as a dApp-attribution rule (for the dapps\_by\_\* family). Defaults to true at the API for the dapps\_by\_\* family when omitted, false otherwise. Immutable after creation.

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  * Added property `isDappRule` (boolean)
    > Routes rule rewards to the dApp owner address (for substitution-type rules: external\_rule, smart\_contract\_event, stratus\_function) or marks the rule as a dApp-attribution rule (for the dapps\_by\_\* family). Defaults to true at the API for the dapps\_by\_\* family when omitted, false otherwise. Immutable after creation.

##### `POST` /api/loyalty/rules/{id}

###### Request:

Changed content type : `application/json`

New optional properties:

* `interval`

###### Return Type:

Changed response : **200 OK**

> 200

* Changed content type : `application/json`

  New optional properties:

  * `interval`

##### `POST` /api/stratus/subscriptions

###### Request:

Changed content type : `application/json`

* Changed property `callbackUrl` (string)
  > Must be the one below!!

#### Result

***

API changes broke backward compatibility
